;
; SFLINKS: PPtP with NAT, Auth and packet capture
;

[global]
priority.class=3
priority.delta=31
fastmode=yes

[plugman]
log.level=6
log.console=yes
buzz=1

[ppp]
load=pl_ppp:pptp
bind=io:pcapOutside.in1

restart=-1

auth.client.pap.enabled=1
auth.client.chap.enabled=1
auth.client.mschap.enabled = 1
auth.client.mschapv2.enabled = 1

pptp.serverhosts=192.168.0.5
auth.client.clientname=userName
auth.client.clientpass=userPassword

[pcapOutside]
load=pl_pcap:writer
bind=in2:nat.port
filename=dmpOut.cap
buffered=no

[nat]
load=pl_alias:nat
bind=stack:pcapInside.in1
enabled=1
debug=0

[pcapInside]
load=pl_pcap:writer
bind=in2:pppstack.io
filename=dmpIn.cap

[pppstack]
load=pl_ppp:pppstack
defaultroute=1
